---
- name: Copy dhclient.conf
  become: true
  template:
    src: dhclient.conf.j2
    dest: /etc/dhclient.conf
    mode: 0644
    owner: "{{ root_user }}"
    group: "{{ root_group }}"
  notify: Re-run dhclient [openbsd]

- name: Copy resolv.conf.tail
  become: true
  template:
    src: resolv.conf.tail.j2
    dest: /etc/resolv.conf.tail
    mode: 0644
    owner: "{{ root_user }}"
    group: "{{ root_group }}"
  notify: Re-run dhclient [openbsd]

- name: Copy dhcpd.conf
  become: true
  template:
    src: dhcpd.conf.j2
    dest: /etc/dhcpd.conf
    mode: 0644
    owner: "{{ root_user }}"
    group: "{{ root_group }}"
  notify: Restart DHCP server

- name: Start the DHCP service
  become: true
  service:
    name: dhcpd
    state: started
    enabled: true
    arguments: "{{ topology.roles[current_group_role].interfaces | reject('equalto', topology.roles[current_group_role].default_interface) | join(' ') }}"
